> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apiif.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Status

> Query the execution status and result of an asynchronous task. Returns task status, progress and result when completed.



## OpenAPI

````yaml get /v1/tasks/{task_id}
openapi: 3.0.0
info:
  title: Image Generation APIs
  version: 1.0.0
  description: >-
    Converted from image-markdown/*.md — each file exposed as a dedicated POST
    path.
servers:
  - url: https://apiif.com
    description: Primary API server
security:
  - BearerAuth: []
paths:
  /v1/tasks/{task_id}:
    get:
      summary: Get Task Status
      description: >-
        Query the execution status and result of an asynchronous task. Returns
        task status, progress and result when completed.
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
          description: Task ID returned by the generation API
        - name: language
          in: query
          required: false
          schema:
            type: string
            enum:
              - zh
              - en
              - ko
              - ja
            default: en
          description: Language for response content (zh/en/ko/ja). Defaults to English.
      responses:
        '200':
          description: Task status and result
          content:
            application/json:
              example:
                code: 200
                data:
                  id: task_01KA040M0HP1GJWBJYZMKX1XS1
                  status: completed
                  progress: 100
                  result:
                    images:
                      - url:
                          - >-
                            https://upload.apiif.com/f/image/9998236911693428-e8d7441f-f7b4-4130-97ad-9ef8a0dde2ce-image_task_01KA0413RT2GGNZJ9GWQ4PXF2F_0.png
                        expires_at: 1763174708
                  created: 1763088289
                  completed: 1763088308
                  estimated_time: 60
                  actual_time: 19
        '400':
          description: Invalid task ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Invalid authentication credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '402':
          description: Insufficient balance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '403':
          description: Access forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '502':
          description: Bad gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
      security:
        - BearerAuth: []
components:
  schemas:
    APIError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
            type:
              type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Token

````